https://management-test.adyen.com/v1/companies/{companyId}/webhooks/{webhookId}/generateHmacReturns an HMAC key for the webhook identified in the path. This key allows you to check the integrity and the origin of the notifications you receive.By creating an HMAC key, you start receiving HMAC-signed notifications from Adyen. Find out more about how to verify HMAC signatures. To make this request, your API credential must have the following roles: * Management API—Webhooks read and write
The unique identifier of the company account.
Unique identifier of the webhook configuration.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/webhooks/{webhookId}/generateHmac' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/companies/{companyId}/webhooks/{webhookId}/generateHmacReturns an HMAC key for the webhook identified in the path. This key allows you to check the integrity and the origin of the notifications you receive.By creating an HMAC key, you start receiving HMAC-signed notifications from Adyen. Find out more about how to verify HMAC signatures. To make this request, your API credential must have the following roles: * Management API—Webhooks read and write
The unique identifier of the company account.
Unique identifier of the webhook configuration.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/webhooks/{webhookId}/generateHmac' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}